Page MenuHomePhabricator

Create a profile to standardize the deployment of JVM packages and configurations
Closed, ResolvedPublic

Description

In https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/597219/ we are discussing the creation of profile::java, a single profile to deploy one or more jvm versions to the same host. The idea is to avoid copy/paste of puppet code across operations/puppet, re-using the same profile in multiple places.

This is also needed since a lot of Java-based daemons (like hadoop, kafka, etc..) don't support Java 11 yet, so we'll have to use 8 when migrating to Buster.

The goal of this task is to reach consensus for profile::java, and to port all roles in need of Java to it.

Event Timeline

elukey triaged this task as Medium priority.May 25 2020, 11:43 AM
elukey created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 25 2020, 11:43 AM
elukey added a subscriber: Eevans.May 25 2020, 11:44 AM

Change 598488 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Switch the IDPs to profile::java

https://gerrit.wikimedia.org/r/598488

Change 598505 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/puppet@production] profile::java: set extra_args with type Optional[String]

https://gerrit.wikimedia.org/r/598505

Change 598505 merged by Elukey:
[operations/puppet@production] profile::java: set extra_args with type Optional[String]

https://gerrit.wikimedia.org/r/598505

Change 598507 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/puppet@production] profile::java: set defaults correctly accoring to their type

https://gerrit.wikimedia.org/r/598507

Change 598507 merged by Elukey:
[operations/puppet@production] profile::java: set defaults correctly accoring to their type

https://gerrit.wikimedia.org/r/598507

Change 598672 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/puppet@production] role::archiva: move to profile::java

https://gerrit.wikimedia.org/r/598672

Change 598672 merged by Elukey:
[operations/puppet@production] role::archiva: move to profile::java

https://gerrit.wikimedia.org/r/598672

Change 598675 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/puppet@production] Swap profile::java::analytics with profile::java

https://gerrit.wikimedia.org/r/598675

elukey moved this task from Next Up to In Progress on the Analytics-Kanban board.May 27 2020, 7:05 AM

Change 598488 merged by Muehlenhoff:
[operations/puppet@production] Switch the IDPs to profile::java

https://gerrit.wikimedia.org/r/598488

Milimetric raised the priority of this task from Medium to High.May 28 2020, 3:30 PM
Milimetric moved this task from Incoming to Operational Excellence on the Analytics board.

Change 598675 merged by Elukey:
[operations/puppet@production] Swap profile::java::analytics with profile::java

https://gerrit.wikimedia.org/r/598675

Change 602291 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/puppet@production] role::search::airflow: use profile::java

https://gerrit.wikimedia.org/r/602291

Change 602293 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/puppet@production] profile::java: ensure /etc/environment.d

https://gerrit.wikimedia.org/r/602293

Change 602291 merged by Elukey:
[operations/puppet@production] role::search::airflow: use profile::java

https://gerrit.wikimedia.org/r/602291

Change 602293 merged by Elukey:
[operations/puppet@production] profile::java: ensure /etc/environment.d

https://gerrit.wikimedia.org/r/602293

Change 602689 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/puppet@production] alternatives::java: fix java paths

https://gerrit.wikimedia.org/r/602689

Change 602689 merged by Elukey:
[operations/puppet@production] alternatives::java: fix java paths

https://gerrit.wikimedia.org/r/602689

elukey moved this task from Backlog to Q1 2020/2021 on the Analytics-Clusters board.
elukey moved this task from Q1 2020/2021 to Q4 2019/2020 on the Analytics-Clusters board.

In T252913 Keith is working on moving ES and Kafka to profile::java, so the one missing is Cassandra plus few others.

Change 605886 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Switch CI to profile::java

https://gerrit.wikimedia.org/r/605886

Aklapper removed a project: Analytics.Jul 4 2020, 7:59 AM
elukey added a comment.Jul 6 2020, 7:11 AM

The goal of this task has been reached, there are some remaining systems to be migrated (CI, cassandra, etc.) but work is in progress.

elukey set Final Story Points to 8.Jul 6 2020, 7:12 AM
elukey moved this task from In Progress to Done on the Analytics-Kanban board.
Nuria closed this task as Resolved.Jul 6 2020, 5:50 PM
hashar added a comment.Jul 6 2020, 9:37 PM

Thank you @elukey for the new Puppet Java profile and for taking in accounts suggestions for the weird use case I had.

tech-barnstar

^^ better seen with the web interface.

Change 605886 merged by Muehlenhoff:
[operations/puppet@production] Switch CI to profile::java

https://gerrit.wikimedia.org/r/605886